Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class ClientPluginDeployer

    java.lang.Object
      org.hyperic.hq.product.ClientPluginDeployer

    public class ClientPluginDeployer

extends Object

Deployment of embedded plugin files. Plugins can embed scripts, jars, native libraries, etc. This class deploys such files on the agent-side only to pdk/work/$type/$plugin/ Where type is "scripts", "lib", etc., plugin is the plugin name. The pdk/$type directory must exist otherwise deployment is skipped.

Nested Class Summary
`static class` | `ClientPluginDeployer.Handler`
`class` | `ClientPluginDeployer.PluginFile`

Constructor Summary
`ClientPluginDeployer(String pdk, String type)`

Method Summary
`static void` | `addHandler(String dir, boolean isExecutable)`
`static void` | `addHandlers(String[] dirs, boolean isExecutable)`
`boolean` | `chmod(File file, String mode)`
`boolean` | `chmodx(File file)`
`File` | `getFile(String type, String file)`
`ClientPluginDeployer.Handler` | `getHandler(String name)`
`static File` | `getSubDirectory(String root, String name, String plugin)`
`boolean` | `isDeployableType(String type)`
`List` | `unpackJar(String jar)`
`boolean` | `upToDate(File source, File target)`
`boolean` | `upToDate(long source, long target)`
`boolean` | `upToDate(ZipEntry source, File target)`
`void` | `write(InputStream is, File file)`
`void` | `write(String data, File file)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientPluginDeployer

    public ClientPluginDeployer(String pdk,
                                String type)

Method Detail

### addHandler

    public static void addHandler(String dir,
                                  boolean isExecutable)

### addHandlers

    public static void addHandlers(String[] dirs,
                                   boolean isExecutable)

### getHandler

    public ClientPluginDeployer.Handler getHandler(String name)

### getSubDirectory

    public static File getSubDirectory(String root,
                                       String name,
                                       String plugin)

### unpackJar

    public List unpackJar(String jar)
                   throws IOException

  Throws:
    `IOException`

### isDeployableType

    public boolean isDeployableType(String type)

### getFile

    public File getFile(String type,
                        String file)

### upToDate

    public boolean upToDate(long source,
                            long target)

### upToDate

    public boolean upToDate(ZipEntry source,
                            File target)

### upToDate

    public boolean upToDate(File source,
                            File target)

### write

    public void write(String data,
                      File file)
               throws IOException

  Throws:
    `IOException`

### write

    public void write(InputStream is,
                      File file)
               throws IOException

  Throws:
    `IOException`

### chmod

    public boolean chmod(File file,
                         String mode)

### chmodx

    public boolean chmodx(File file)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.